List the current user's pending memberships
GET
/auth/v1/memberships/pendingReturns a paginated list of the authenticated user's pending organization membership invitations that have not yet been accepted.
Authorization
Bearer Authorization<token>
In: header
Query Parameters
limit?integer
Limit
offset?integer
Offset
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.ListMembershipsResponse",
"$ref-value": {
"properties": {
"memberships": {
"items": {
"$ref": "#/components/schemas/authv1.Membership",
"$ref-value": {
"properties": {
"id": {
"type": "string"
},
"joined_at": {
"type": "string"
},
"org_id": {
"type": "string"
},
"organization_first_name": {
"type": "string"
},
"organization_last_name": {
"type": "string"
},
"organization_username": {
"type": "string"
},
"role": {
"type": "string"
},
"state": {
"type": "string"
},
"user_id": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/auth/v1/memberships/pending"OK
application/json
{
"$ref": "#/components/schemas/authv1.ListMembershipsResponse",
"$ref-value": {
"properties": {
"memberships": {
"items": {
"$ref": "#/components/schemas/authv1.Membership",
"$ref-value": {
"properties": {
"id": {
"type": "string"
},
"joined_at": {
"type": "string"
},
"org_id": {
"type": "string"
},
"organization_first_name": {
"type": "string"
},
"organization_last_name": {
"type": "string"
},
"organization_username": {
"type": "string"
},
"role": {
"type": "string"
},
"state": {
"type": "string"
},
"user_id": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}